# $Id: smeserver-fetchmail.spec,v 1.15 2024/09/05 03:40:58 terryfage Exp $
# Authority: unnilennium
# Name: Jean-Philippe Pialasse 

Summary: sme module to generate fetchmail poll
%define name smeserver-fetchmail
Name: %{name}
%define version 1.6
%define release 29
%define smepanel FetchMails
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.xz

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: smeserver-release >= 10.0
Requires: smeserver-email >= 5.6.0-18
Requires: smeserver-formmagick >= 1.4.0-12
# for spamcheck on SME9; on SME10 0.96-19 and 2.6.0-32
Requires: qpsmtpd >= 0.96-11
Requires: smeserver-qpsmtpd >= 2.4.0-39
BuildRequires: smeserver-devtools >= 1.13.1-03
Obsoletes: sme-fetchmail
Obsoletes: smeserver-fetchmail-utf8
AutoReqProv: no

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 1.6-29.sme
- Fix e-smith references in smeserver-fetchmail [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 1.6-28.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Thu Sep 05 2024 Terry Fage <terry@fage.id.au> 1.6-27.sme
- Apply locale 2024-09-05.patch

* Fri Nov 11 2022 Jean-Philippe Pialasse <tests@pialasse.com> 1.6-26.sme
- Apply locale 2022-11-11 patch

* Thu Jul 28 2022 Jean-Philippe Pialasse <tests@pialasse.com> 1.6-24.sme
- fix fetchmail restart downloading all emails after reboot [SME: 11979]
  thanks to Stefano Zamboni for debuging and original fix.

* Fri Jul 22 2022 Jean-Philippe Pialasse <tests@pialasse.com> 1.6-23.sme
- apply locale patch 2022-07-22

* Wed Nov 17 2021 Jean-Philippe Pialasse <tests@pialasse.com> 1.6-22.sme
- fix panel [SME: 11058]
  removed SMTP proxy and blocking option and redirect to Proxy panel
  TODO: module cleanup and cleanup of unused properties

* Thu Oct 21 2021 Terry Fage <terry@fage.id.au> 1.6-21.sme
- fix template 60fetchmail force spamcheck [SME: 10289]

* Tue Oct 12 2021 Terry Fage <terry@fage.id.au> 1.6-20.sme
- fix template 60fetchmail force spamcheck [SME: 10538]

* Sun Aug 22 2021 Terry Fage <terry.fage@gmail.com> 1.6-19.sme
- apply locale 2021-08-22 patch

* Fri Mar 26 2021 Brian Read <brianr@bjsystems.co.uk> 1.6-18.sme
- Add Update event to createlinks [SME: 11058]

* Fri Mar 26 2021 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.
  Fri Sep 24 2015 --> Fri Sep 18 2015 or Thu Sep 24 2015 or Fri Sep 25 2015 or ....

* Sun Dec 27 2020 Brian Read <brianr@bjsystems.co.uk> 1.6-17.sme
- Switch-smptd-to-qpsmtpd-in-panel-perl [SME: 11058]

* Tue Oct 27 2020 Brian Read <brianr@bjsystems.co.uk> 1.6-16.sme
- Initial import to SME10 tree [SME: 11058]

* Sat Dec 07 2019 SME Translation Server <translations@contribs.org> 1.6-15.sme
- apply locale 2019-12-07 patch

* Fri Dec 14 2018 John Crisp <jcrsip@safeandsoundit.co.uk> 1.6.14.sme
- apply locale 2018-12-14 patch

* Sun Mar 11 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.6-13.sme
- Add Update event to createlinks no spamcheck anymore for fetchmail [SME: 10290]

* Sat Dec 02 2017 SME Translation Server <translations@contribs.org> 1.6-12.sme
- apply locale 2017-12-02 patch

* Fri May 26 2017 Jean-Philipe Pialasse <tests@pialasse.com> 1.6-11.sme
- added option field for sslfingerprint compatibility [SME: 8287]

* Wed Jan 13 2016 Daniel Berteaud <daniel@firewall-services.com> 1.6-10.sme
- Update event handling (remove broken symlinks) [SME: 9185]

* Fri Jan 8 2016 Daniel Berteaud <daniel@firewall-services.com> 1.6-9.sme
- Update iptables rules to prevent warning when starting masq [SME: 9180]

* Thu Sep 24 2015 Daniel Berteaud <daniel@firewall-services.com> 1.6-8.sme
  Fri Sep 24 2015 --> Fri Sep 18 2015 or Thu Sep 24 2015 or Fri Sep 25 2015 or ....
- Fix bounce looping each time mails are fetch in case of
  permanent delivery failure [SME: 9074]

* Sat Aug 22 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.6-7.sme
- Initial release to contribs9

* Fri Feb 06 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.6-6.sme
- Corrected a typo in the detection of smtpd port in the template 90fetchmail
 
* Mon Jan 12 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.6-4.sme
- Add settings if smtpd TCPPort set to a non default value [sme: 8797]
- code done by ecureuil <gentil_ecureuil@hotmail.com>

* Sun Nov 2 2014 stephane de Labrusse <stephdl@de-labrusse.fr> 1.6-3.sme
-  Recovery of large attachments with fetchmail [SME:8630]

* Sun Oct 5 2014 stephane de Labrusse <stephdl@de-labrusse.fr> 1.6-2.sme
- bug of .gitignore in  /etc/e-smith/web/panels/manager/cgi-bin

* Sat Jun 21 2014 stephane de Labrusse <stephdl@de-labrusse.fr> 1.6-1.sme
- Initial release to sme9

* Sun Jul 14 2013 JP Pialasse <tests@pialasse.com> 1.4-2.sme
- apply locale 2013-07-14 patch

* Sun Jun 3 2012 JP PIALASSE tests@pialasse.com  1.4-1.sme
- Initial version

%description
sme server enhancement to make fetchmail more useable

%prep
%setup
mkdir -p root/var/lib/fetchmail

%build
perl createlinks
echo "%{version}-%{release}" >root/etc/e-smith/db/configuration/defaults/%{smepanel}/version

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
	--dir /var/lib/fetchmail  'attr(0750,qmailr,qmail)'  \
	> %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
